## in-toto 0.4.0

=== requirements.txt ===
securesystemslib[crypto,pynacl]>=0.11.3
attrs
python-dateutil
iso8601
six
pathspec
subprocess32; python_version < '3'

=== debian/changelog ===
in-toto (0.4.0-2) unstable; urgency=medium

  * Add missing dependency to fix cli entry point loading.
  * Pin securesystemslib minor version.
  * Bump Standards-Version to 4.4.1 in d/control.
  * Set Rules-Requires-Root: no in d/control.

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 15 Oct 2019 15:06:25 +0100

in-toto (0.4.0-1) unstable; urgency=low

  * Initial Debian release. (Closes: #934142)

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 11 Sep 2019 14:52:01 +0100

=== debian/control ===
Source: in-toto
Section: utils
Priority: optional
Maintainer: in-toto developers <in-toto-dev@googlegroups.com>
Uploaders:
 Santiago Torres-Arias <santiago@nyu.edu>,
 Lukas Puehringer <lukas.puehringer@nyu.edu>,
 Holger Levsen <holger@debian.org>,
 Justin Cappos <jcappos@nyu.edu>,
Build-Depends:
 dh-python,
 debhelper-compat (= 12),
 python3-all,
 python3-setuptools,
 python3-attr,
 python3-dateutil,
 python3-six,
 python3-iso8601,
 python3-pathspec,
 python3-mock,
 python3-cryptography,
 python3-nacl,
 python3-colorama,
 python3-securesystemslib (>= 0.11.3),
 python3-securesystemslib (<< 0.12.0),
 gnupg2,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://in-toto.io
Vcs-Git: https://github.com/in-toto/in-toto.git
Vcs-Browser: https://github.com/in-toto/in-toto

Package: in-toto
Architecture: all
Depends:
  python3-pkg-resources,
  python3-cryptography,
  python3-nacl,
  python3-colorama,
  ${python3:Depends},
  ${misc:Depends},
Recommends:
 gnupg2,
Description: software supply chain security framework
 in-toto provides tools both for software developers to authenticate operations
 in the supply chain, as well as for end-users to verify the authentication
 trail when installing a software product.
 .
 in-toto is developed at the Secure Systems Lab of NYU.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/in-toto/in-toto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## in-toto 1.0.0

=== requirements.txt ===
securesystemslib[crypto,pynacl]>=0.14.1
attrs
python-dateutil
iso8601
six
pathspec

=== debian/changelog ===
in-toto (1.0.0-3) unstable; urgency=medium

  Misc Debian metadata changes:

  * d/watch: add missing trailing newline
  * d/control: specify upstream tracking branch for downstream-related changes
  * d/upstream/: add basic metadata file
  * d/copyright: add Upstream-Contact field and missing trailing newline

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 02 Feb 2021 12:52:12 +0200

in-toto (1.0.0-2) unstable; urgency=medium

  * Raise versioned build depends on python3-securesystemslib to >= 0.18.0.

 -- Holger Levsen <holger@debian.org>  Fri, 22 Jan 2021 01:17:51 +0100

in-toto (1.0.0-1) unstable; urgency=medium

  * The 1.0.0 upstream release is above all a commitment to the maturity
    of in-toto and the stability of its API. It also includes:
    - new '-P/--password' (prompt) cli argument
    - link command timeout setting
    - enhanced documentation
    - removal of 'util' module in favor of securesystemslib key interfaces

  * Bump standards version and compat level in d/control
  * Bump standard version in d/watch
  * Adopt relevant upstream test changes in d/patches and add
    "Forwarded: not-needed"-header (see patch description for rationale)

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Thu, 10 Dec 2020 14:01:34 +0200

in-toto (0.5.0-1) unstable; urgency=medium

  * New upstream release that includes i.a.:
    - Removal of OpenPGP and subprocess interface
      (transferred to python-securesystemslib)
    - New command line arguments
    - Improved code documentation

  * Remove obsolete d/patches for issues fixed upstream
  * Update d/rules
    - Unpin python-securesystemslib dependency (Closes: #966972)
    - Bump Standards-Version

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Thu, 13 Aug 2020 15:27:12 +0200

## in-toto 1.0.1

=== requirements.txt ===
# in-toto runtime requirements plus securesystemslib with extra dependencies
#
# This file together with 'pip-compile' is used to generate a pinned
# requirements file with all immediate and transitive dependencies.
#
# 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
# triggers CI/CD builds to automatically test against updated dependencies.
#
#
# NOTE: 'pip-compile' only adds dependencies relevant for the Python version,
# in which it is executed. Moreover, it does not add environment markers of
# transitive dependencies.
# The official recommendation for cross-environment usage of pip-compile tends
# towards separate requirements files for each environment (see
# jazzband/pip-tools#651), this seem like an overkill for in-toto, where we
# only have a few conditional dependencies, i.e. dependencies that are required
# on Python < 3 only.
#
#
# Below instructions can be used to re-generate 'requirements-pinned.txt', e.g.
# if:
# - requirements are added or removed from this file
# - Python version support is changed
# - CI/CD build breaks due to updates (e.g. transitive dependency conflicts)
# - it also makes sense to run this every now and then to see if the update
#   of an immediate dependency requires the addition or removal of a transitive
#   dependency).
#
# FIXME: We should fully automate this, otherwise requirements-pinned.txt is
# prone to become outdated.
#
#
# 1. Use this script to create a pinned requirements file for each Python
#    version
# ```
# for v in 2.7 3.6 3.7 3.8 3.9; do
#   mkvirtualenv in-toto-env-${v} -p python${v};
#   pip install pip-tools;
#   pip-compile --no-header -o requirements-${v}.txt requirements.txt;
#   deactivate;
#   rmvirtualenv in-toto-env-${v};
# done;
#
# ```
# 2. Use this command to merge per-version files
#    `sort -o requirements-pinned.txt -u requirements-?.?.txt`
# 2. Manually add environment markers to requirements-pinned.txt
# 3. Use this command to remove per-version files
#    `rm requirements-?.?.txt`
#
securesystemslib[crypto,pynacl]>=0.18.0
attrs
python-dateutil
iso8601
six
pathspec

=== debian/changelog ===
in-toto (1.0.1-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - enhanced documentation,
    - a new CI/CD test setup (GitHub Actions),
    - updated tested dependencies,
    - and it removes support for Python 3.5.

  **NOTE**: this will be the final upstream release of in-toto that supports
  Python 2.7.*

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Mon, 01 Mar 2021 20:13:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Justin Cappos <jcappos@nyu.edu>,
 Build-Depends:
  dh-python,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3-all,
  python3-setuptools,
  python3-attr,
@@ -21,13 +21,12 @@
  python3-cryptography,
  python3-nacl,
  python3-colorama,
- python3-securesystemslib (>= 0.11.3),
- python3-securesystemslib (<< 0.12.0),
+ python3-securesystemslib (>= 0.18.0),
  gnupg2,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://in-toto.io
-Vcs-Git: https://github.com/in-toto/in-toto.git
+Vcs-Git: https://github.com/in-toto/in-toto.git -b debian
 Vcs-Browser: https://github.com/in-toto/in-toto
 
 Package: in-toto

## in-toto 1.2.0

=== requirements.txt ===
# in-toto runtime requirements including securesystemslib with extras
#
# 'pip-compile' is used to generate 'requirements-pinned.txt' with all
# immediate and transitive dependencies based on this file, pinned to their
# latest version.
#
# 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
# triggers CI/CD builds to automatically test against updated dependencies.
securesystemslib[crypto,pynacl]>=0.18.0
attrs
python-dateutil
iso8601
pathspec

=== debian/changelog ===
in-toto (1.2.0-1) unstable; urgency=medium

  * New upstream releases include among other things:
    - documentation and project metadata updates
    - test and linter enhancements
    - build on Python 3.7 through 3.10 and updated dependencies

  * d/control:
    - bump standards version to 4.6.0.1
  * d/patches:
    - adopt test patch upstream line offsets and minor changes

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Tue, 22 Feb 2022 09:42:10 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-colorama,
  python3-securesystemslib (>= 0.18.0),
  gnupg2,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://in-toto.io
 Vcs-Git: https://github.com/in-toto/in-toto.git -b debian

## in-toto 1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
 # triggers CI/CD builds to automatically test against updated dependencies.
-securesystemslib[crypto,pynacl]>=0.18.0
+securesystemslib[crypto,pynacl]>=0.26.0
 attrs
 python-dateutil
 iso8601

=== debian/changelog ===
in-toto (1.3.1-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - ecdsa key support to the cli, and
    - various docs and test improvements

  * d/control:
    - bump standards version to 4.6.2
    - adopt upstream requirements changes

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 01 Feb 2023 12:32:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,19 @@
 Build-Depends:
  dh-python,
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
  python3-attr,
  python3-dateutil,
  python3-six,
  python3-iso8601,
  python3-pathspec,
- python3-mock,
  python3-cryptography,
  python3-nacl,
- python3-colorama,
- python3-securesystemslib (>= 0.18.0),
+ python3-securesystemslib (>= 0.26.0),
  gnupg2,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://in-toto.io
 Vcs-Git: https://github.com/in-toto/in-toto.git -b debian
@@ -35,7 +34,6 @@
   python3-pkg-resources,
   python3-cryptography,
   python3-nacl,
-  python3-colorama,
   ${python3:Depends},
   ${misc:Depends},
 Recommends:

## in-toto 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # 'requirements-pinned.txt' is updated on GitHub with Dependabot, which
 # triggers CI/CD builds to automatically test against updated dependencies.
-securesystemslib[crypto,pynacl]>=0.26.0
+securesystemslib[crypto,pynacl]>=0.27.0
 attrs
 python-dateutil
 iso8601

=== debian/changelog ===
in-toto (2.0.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - important security fixes
    - ITE-4 resolver interface

  * d/control: Change gnupg2 to gnupg (Closes: #1055401)
  * d/patches: Adopt upstream reformat with black
  * d/Dockerfile: Add dockerfile used to build this release on macOS

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 08 Nov 2023 15:50:00 +0100

in-toto (1.4.0-1) unstable; urgency=medium

  * New upstream release includes among other things:
    - DSSE support in metadata generation tools
    - Ability to set command, byproducts, environment in in_toto_record APIs

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 26 Apr 2023 18:15:05 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-cryptography,
  python3-nacl,
  python3-securesystemslib (>= 0.26.0),
- gnupg2,
+ gnupg,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://in-toto.io
@@ -37,7 +37,7 @@
   ${python3:Depends},
   ${misc:Depends},
 Recommends:
- gnupg2,
+ gnupg,
 Description: software supply chain security framework
  in-toto provides tools both for software developers to authenticate operations
  in the supply chain, as well as for end-users to verify the authentication

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = in_toto

%:
	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_test:
# Run upstream test suite unless skipped via DEB_BUILD_OPTIONS
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 tests/runtests.py
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/in-toto/in-toto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
